'use strict';

const path = require('path');
const rootDir = path.dirname(path.resolve(__dirname, '../../package.json'));
const f2eCiConfig = require('../../f2eci.json');
const WEBPACK_DIST = path.join(rootDir, f2eCiConfig.dist, f2eCiConfig['static-src']);
const PUBLIC_PATH = f2eCiConfig.urlPrefix + f2eCiConfig['static-src'] + '/';

function getEntries() {
    const entry = {};
    entry.react = ['lego-supportor/lib/vendors/react.js'];
    return entry;
}

module.exports = {
    entry: getEntries(),
    output: {
        filename: '[name].js',
        path: WEBPACK_DIST,
        publicPath: PUBLIC_PATH,
        chunkFilename: '[name].[chunkhash].js'
    },
    cache: true,
    resolve: {
        // 添加后缀名顺序
        extensions: ['.js', '.jsx', '.vue', '.less']
    },
    target: 'web',
    module: {
        rules: [{
            test: /\.(js)$/,
            exclude: /node_modules\/(?!(@gfe|lego))/,
            use: [{
                loader: 'babel-loader',
                options: {
                    presets: ['es2015', 'stage-0'],
                    cacheDirectory: true
                }
            }]
        }]
    }
};
